<p>lista-articulos works!</p>
<mat-form-field>
    <mat-label>Filter</mat-label>
    <input matInput (keyup)="applyFilter($event)" placeholder="Ex. Mia" #input>
  </mat-form-field>
  
  <div class="mat-elevation-z8">
    <table mat-table [dataSource]="dataSource" matSort>
        displayedColumns: string[] = ['sku', 'descripcion', 'marca', 'proveedor','departamento','cSinIVA','costoCIVA','margen','precioV'];
      <!-- ID Column -->
      <ng-container matColumnDef="sku">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> sku </th>
        <td mat-cell *matCellDef="let row" (click)="clickInLink(row.sku)" class="link" > {{row.sku}} </td>
      </ng-container>
  
      <!-- Progress Column -->
      <ng-container matColumnDef="descripcion">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> descripcion </th>
        <td mat-cell *matCellDef="let row"> {{row.descripcion}}% </td>
      </ng-container>
  
      <!-- Name Column -->
      <ng-container matColumnDef="marca">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> marca </th>
        <td mat-cell *matCellDef="let row"> {{row.marca}} </td>
      </ng-container>
  
      <!-- ID Column -->

      <!-- Color Column -->
      <ng-container matColumnDef="proveedor">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> proveedor </th>
        <td mat-cell *matCellDef="let row" [style.color]="row.proveedor"> {{row.proveedor}} </td>
      </ng-container>

      <!-- Color Column -->
      <ng-container matColumnDef="departamento">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> departamento </th>
        <td mat-cell *matCellDef="let row" [style.color]="row.departamento"> {{row.departamento}} </td>
      </ng-container>

      <!-- Color Column -->
      <ng-container matColumnDef="cSinIVA">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> cSinIVA </th>
        <td mat-cell *matCellDef="let row" [style.color]="row.cSinIVA"> {{row.cSinIVA}} </td>
      </ng-container>

      <!-- Color Column -->
      <ng-container matColumnDef="costoCIVA">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> costoCIVA </th>
        <td mat-cell *matCellDef="let row" [style.color]="row.costoCIVA"> {{row.costoCIVA}} </td>
      </ng-container>

            <!-- Color Column -->
      <ng-container matColumnDef="margen">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> margen </th>
        <td mat-cell *matCellDef="let row" [style.color]="row.margen"> {{row.margen}} </td>
      </ng-container>

                  <!-- Color Column -->
     <ng-container matColumnDef="precioV">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header> precioV </th>
                    <td mat-cell *matCellDef="let row" [style.color]="row.precioV"> {{row.precioV}} </td>
      </ng-container>

      <ng-container matColumnDef="estado">
        <th mat-header-cell *matHeaderCellDef mat-sort-header> estado </th>
        <td mat-cell *matCellDef="let row" > <mat-slide-toggle (click)="eventoCkick(row.sku)" [checked]="checkIschequed(row.estado)"></mat-slide-toggle></td>
      </ng-container>
  
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
  
      <!-- Row shown when there is no matching data. -->
      <tr class="mat-row" *matNoDataRow>
        <td class="mat-cell" colspan="4">No data matching the filter "{{input.value}}"</td>
      </tr>
    </table>
  
    <mat-paginator [pageSizeOptions]="[5, 10, 25, 100]"></mat-paginator>

    <button mat-stroked-button color="primary" class="btn-block" (click)="returnBack()">Volver</button>

  </div>